gnutls_x509_rdn_get_by_oid(3)

NAME
gnutls_x509_rdn_get_by_oid - This function parses an RDN sequence and returns a string

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_rdn_get_by_oid(const gnutls_datum_t * idn, const char * oid, int indx, unsigned int raw_flag, void * buf, size_t * sizeof_buf);

ARGUMENTS

const gnutls_datum_t * idn
    should contain a DER encoded RDN sequence

const char * oid
    an Object Identifier

int indx
    In case multiple same OIDs exist in the RDN indicates which to send. Use 0 for the first one.

unsigned int raw_flag
    If non zero then the raw DER data are returned.

void * buf
    a pointer to a structure to hold the peer's name

size_t * sizeof_buf
    holds the size of buf

DESCRIPTION
This function will return the name of the given Object identifier, of the RDN sequence. The name will be encoded using the rules from RFC2253. Returns GNUTLS_E_SHORT_MEMORY_BUFFER and updates *sizeof_buf if the provided buffer is not long enough, and 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.